/*
	File:		GetCodecInfoApp.h
	
	Contains:	Code for develop column .

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		11/01/94	JW		New.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#define	kDLOG_ERROR				128

#define	kSTR_INTRO				128
#define	kSTR_COMPRESS			129
#define	kSTR_DECOMPRESS			130

/* ------------------------------------------------------------------------- */

pascal	ComponentResult CallGetCodecInfo(ComponentInstance inst, CodecInfo *info) = {0x2F3C, 4, codecGetCodecInfo,0x7000,0xA82A};

void	main(void);
void	ReportWarning(Str255 theStr);
void	WriteStr(Str255 str);
void	WriteBuf(unsigned char *str, long count);
void	WriteReturn(void);
void	WriteResourceStr(short id);

void	ReportHeader(void);
void	ReportCodecList(void);
void	ReportCompressor(CodecInfo *info);
void	ReportDecompressor(CodecInfo *info);
void	ReportCompressorSpeed(OSType type);
void	ReportDecompressorSpeed(OSType type);
