/*
	File:		MyComponent.h
	
	Contains:	simple component sample.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

#define		kDEBUGME				0

#define		kMyComponentSpec		1L
#define		kMyComponentVersion		0L

typedef struct	{						
	//	Component stuff
	ComponentInstance	self;					//	self instance needed if targeted
} PrivateGlobals;

/* ------------------------------------------------------------------------- */

pascal ComponentResult MyOpen(ComponentInstance self);
pascal ComponentResult MyClose(Handle storage,ComponentInstance self);
pascal ComponentResult MyCanDo(short selector);
pascal ComponentResult MyVersion(void);
pascal ComponentResult MyRegister(Handle storage);
