/* file: MusicHelper.h
 *
 * Started 7 February 1994, 11:14am
 *
 */

#include <Files.h>
#include <Types.h>
#include <QuickTimeComponents.h>

/*--------------------
	Simple things
--------------------*/
#ifndef _MusicHelper_
#define _MusicHelper_


#ifndef _MusicHelperC_
	typedef struct {long data[1];} *MusicScore;
	typedef struct {long data[1];} *MusicMovie;
#endif



MusicScore NewMusicScore(void);
void DisposeMusicScore(MusicScore *ms);

short AddMusicScoreGMInstrument(MusicScore ms,short gmInstrument);
short AddMusicScoreInstrument(MusicScore ms,ToneDescription *td);
short AddMusicScoreFlatInstrument(MusicScore ms,FlatInstrument *flat);

void AddMusicScoreNote(MusicScore ms,
		short part,Fixed pitch,long velocity,TimeValue noteDuration);
void AddMusicScoreRest(MusicScore ms,TimeValue restDuration);

Handle GetMusicScoreHeader(MusicScore ms);
Handle GetMusicScoreScore(MusicScore ms);


MusicMovie StartMusicMovie(FSSpec *movieSpec,Handle header);
void AddMusicMovieSample(MusicMovie mm,Handle score);
void FinishMusicMovie(MusicMovie *mm);

#endif _MusicHelper_
