



#include <TextEdit.h>


#define kMaxTEFields 20
#define kTEListBoxMargin 2
#define kTEListBox9ptHeight 12


typedef struct
	{
	long seed;
	Rect r;
	Rect frameR;
	StringPtr text;
	long maxLength;
	short font,face,size;
	} OneTEField;

typedef struct
	{
	long seed;

	long teFieldCount;
	OneTEField teField[kMaxTEFields];
	TEHandle teH;

	Boolean changed;
	long active;
	} TEList;



void InitializeTEList(TEList *teList);
void TerminateTEList(TEList *teList);

long AddTEField(TEList *teList,Rect *r,StringPtr text,long maxLength);
void RemoveTEField(TEList *teList,long id);

void DrawTEList(TEList *teList);
void DrawTEField(TEList *teList,long id);
void IdleTEList(TEList *teList);
void ActivateTEList(TEList *teList,Boolean active);
void ActivateTEField(TEList *teList,long id,Boolean selectAll);
Boolean ClickTEList(TEList *teList,Point p,short mods,long *stashIt);
Boolean KeyTEList(TEList *teList,short key,short mods,long *stashIt);

void SetTEField(TEList *teList,long id,StringPtr s);

void BumpTEField(TEList *teList,long id,short bump);

