//--------------------------------------------------------------------------
//
//		MyMemory.c
//			by John Wang
//
//		Version:	1.0		05/22/92	Completed.
//					1.01	11/03/92	Cleaned up.
//					1.02	01/13/93	Fixed broken MyDisposeHandle and MyDisposePtr from 1.01
//					1.03	01/31/93	Added MyGetHandleSize which returns 0 if nil handle
//					1.04	02/25/93	Hopefully last 1.0
//
//--------------------------------------------------------------------------

#include	"MyMemory.h"

//--------------------------------------------------------------------------

pascal Handle MyNewHandle(Size byteCount)
{
	return(NewHandle(byteCount));
}

pascal Handle MyNewHandleClear(Size byteCount)
{
	return(NewHandleClear(byteCount));
}

pascal void MyDisposeHandle(Handle *h)
{
	if (*h) {
		DisposeHandle(*h);
		*h = nil;
	}
}

pascal long MyGetHandleSize(Handle h)
{
	if (h) {
		return(GetHandleSize(h));
	} else {
		return(0);
	}
}

pascal Ptr MyNewPtr(Size byteCount)
{
	return(NewPtr(byteCount));
}

pascal Ptr MyNewPtrClear(Size byteCount)
{
	return(NewPtrClear(byteCount));
}

pascal void MyDisposePtr(Ptr *p)
{
	if (*p) {
		DisposePtr(*p);
		*p = nil;
	}
}
