/*
  File:			mtb5.c
  Contains:		Main Function
  Written by:	DTS and QT Engineering
  Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
  Change History (most recent first):
  <1>	 	12/4/94	khs		changed the format of the file to the new look and feel
  To Do:
*/


// INCLUDES
#include "mtb.h"


// FUNCTIONS
void InitMovieToolbox(void)
{
	OSErr err;

	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(nil);
	MaxApplZone();

	if (!IsQuickTimeInstalled())
	{
		CheckError(-1, "\pPlease install QuickTime and try again.");
	}

	err = EnterMovies();
	CheckError(err, "\pEnterMovies");
}


// MAIN FUNCTION
void main(void)
{
	InitMovieToolbox();
	CreateMyCoolMovie();
}


