/*
  File:			mtb9.c
  Contains:		Drawing Functions
  Written by:	DTS and QT Engineering
  Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
  Change History (most recent first):
  <1>	 	12/4/94	khs		changed the format of the file to the new look and feel
  To Do:
*/


// INCLUDE FILES
#include "mtb.h"


// FUNCTIONS
void DrawFrame(const Rect* trackFrame,
			   long curSample)
{
	Str255 numStr;

	ForeColor(redColor);
	PaintRect(trackFrame);

	ForeColor(blueColor);
	NumToString(curSample, numStr);
	MoveTo(trackFrame->right / 2, trackFrame->bottom / 2);
	TextSize(trackFrame->bottom / 3);
	DrawString(numStr);
}


