/*
 	File:		Components.k.h
 
 	Contains:	QuickTime interfaces
 
 	Version:	
 
 	DRI:		Jim Batson
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.
 				All rights reserved.
 
 	Warning:	*** APPLE INTERNAL USE ONLY ***
 				This file may contain unreleased API's
 
 	BuildInfo:	Built by:			QuickTime
 				With Interfacer:	2.0d12e5 (PowerPC native)
 				From:				Components.i
 					Revision:		0
 					Dated:			4/25/96
 					Last change by:	JB
 					Last comment:	This is a fake header used so interfacer is happy.
 
 	Bugs:		Report bugs to Radar component System Interfaces, Latest
 				List the version information (from above) in the Problem Description.
 
*/
#ifndef __COMPONENTS_K__
#define __COMPONENTS_K__

#include <Components.h>

#if FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE
/* Component Resource Extension flags */
/* Set Default Component flags */
/* RegisterComponentResource flags */
#ifndef _PrivateThingManager_
#endif
/*  Structure received by Component:		*/
#ifndef _PrivateThingManager_
#endif
/*
	The parameter list for each ComponentFunction is unique. It is 
	therefore up to users to create the appropriate procInfo for their 
	own ComponentFunctions where necessary.
*/
/*
*******************************************************
* Required Component routines
*******************************************************
*/
/*
*******************************************************
*														*
*  				APPLICATION LEVEL CALLS					*
*														*
*******************************************************
*/
/*
*******************************************************
* Component Database Add, Delete, and Query Routines 
*******************************************************
*/
/*
*******************************************************
* Component Instance Allocation and dispatch routines 
*******************************************************
*/
/*
*******************************************************
*														*
*  					CALLS MADE BY COMPONENTS	  		*
*														*
*******************************************************
*/
/*
*******************************************************
* Component Management routines
*******************************************************
*/
/*
*******************************************************
* Component Instance Management routines
*******************************************************
*/
/* useful helper routines for convenient method dispatching */
#if GENERATINGPOWERPC
#else
#endif
/*
*******************************************************
* Private component routines
*******************************************************
*/
/* these need to go into the secret or private library*/
/*
*******************************************************
*														*
*  			Direct calls to the Components				*
*														*
*******************************************************
*/
/* Old style names*/
/* New style names*/

#ifndef CALLCOMPONENT_BASENAME
	#error CALLCOMPONENT_BASENAME must be defined to use this file
#endif
#ifndef CALLCOMPONENT_GLOBALS
	#error CALLCOMPONENT_GLOBALS must be defined to use this file
#endif
#define ADD_CALLCOMPONENT_BASENAME(name) CALLCOMPONENT_BASENAME()##name

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Open) (CALLCOMPONENT_GLOBALS(), ComponentInstance  self);

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Close) (CALLCOMPONENT_GLOBALS(), ComponentInstance  self);

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(CanDo) (CALLCOMPONENT_GLOBALS(), short  ftnNumber);

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Version) (CALLCOMPONENT_GLOBALS());

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Register) (CALLCOMPONENT_GLOBALS());

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Target) (CALLCOMPONENT_GLOBALS(), ComponentInstance  target);

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(Unregister) (CALLCOMPONENT_GLOBALS());

extern pascal ComponentResult ADD_CALLCOMPONENT_BASENAME(GetMPWorkFunction) (CALLCOMPONENT_GLOBALS(), ComponentMPWorkFunctionUPP * workFunction, void ** refCon);

/* UPP call backs */
/* ProcInfos */
#endif

#endif /* __COMPONENTS_K__ */

